petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionSymType

String with the name of a PetscSectionSym type.

### Synopsis

    typedef const char *PetscSectionSymType;

### Notes

PetscSectionSym has no default implementation, but is used by DM in PetscSectionSymCreateLabel().

### See Also

PetscSectionSymSetType(), PetscSectionSymGetType(), PetscSectionSym, PetscSectionSymCreate(), PetscSectionSymRegister()

### Level

developer

### Location

src/vec/is/section/../../../../include/petscsectiontypes.h
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages